body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}
header {
background-color: black;
color: white;
display: flex;
justify-content: space-between;
padding: 0; /* No padding vertical para que los elementos hijos se puedan expandir completamente */
align-items: stretch; /* Asegurarse de que los hijos se estiren para llenar el contenedor padre */
}
.separator {
    margin: 0 10px;
}

.separator {
margin: 0 10px;
color: white; /* Asegurarse de que el separador sea visible si es necesario */
}

.internet-banking {
background-color: red;
color: white;
display: flex;
align-items: center; /* Alineación vertical del texto */
padding: 0 10px; /* Solo padding horizontal */
margin: 0; /* No margin */
flex: none; /* No permitir que el elemento crezca o se encoja */
}

/* Asegurarse de que el texto dentro del botón se expanda con el elemento */
.internet-banking span {
flex-grow: 1; /* Hacer que el span ocupe todo el espacio disponible */
display: block; /* Permitir que el padding se aplique correctamente */
padding: 10px 0; /* Padding vertical para dar altura al botón */
font-size: small;
}

.internet-banking {
    background-color: red;
    cursor: pointer;
}
.internet-banking:hover {
    background-color: darkred;
}

/* Asegurarse de que los elementos de la izquierda también se expandan verticalmente */
header > div:first-child {
display: flex;
align-items: center;
flex-grow: 1;
}

header > div:first-child span {
padding: 20px 0; /* Esto dará altura a los elementos y los centrará verticalmente */
}

.menu-item {
    cursor: pointer;
}
.menu-item:hover {
    text-decoration: underline;
    font-style: strong;
}

.bottom-nav { /* Clases para la navegación superior e inferior */
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 10px 20px; /* Padding horizontal para dar espacio, padding vertical reducido */
    color: black;
    left: 5%;
}
.bottom-nav {
    background-color: white; /* Fondo para la navegación inferior */
}
.boton-inferior {
    cursor: pointer;
}
.boton-inferior:hover {
    font-style: strong;
    background-color: #ededed;
}
.separator-bottom {
    color: #ededed;
}

#seguros:hover ~ .menu-desplegable {
display: block; /* Muestra el menú */
}

/* Posiciona relativamente el contenedor padre para que el menú absoluto se posicione en relación a él */
.boton-inferior {
position: relative;
display: inline-block;
}


/* Muestra el menú cuando se pase el ratón sobre el botón */
.boton-inferior:hover .seguros,
.boton-inferior:hover .hazteCliente {
display: block;
}


/* Estilos para los títulos */
.menu-desplegable {
display: none; /* Oculta el menú por defecto */
position: fixed;
top: 200% ; /* Ajusta esto al tamaño de tu barra de navegación */
left: 0;
width: 100vw; /* El menú ocupará el ancho completo de la ventana */
background-color: #ededed;
box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
z-index: 9999; /* Z-index alto para asegurarse de que el menú se muestre sobre otros elementos */
}

/*Tarea 6*/
*{
    margin: 0;
    box-sizing: border-box;

}
@import url(https://db.onlinewebfonts.com/c/04ae8600bb304d74f28a0cebf6ec9885?family=Univers+Next+for+HSBC+W02+Rg);
body{
 
}

.body-parte2{
    display: inline-block;
    

    width: 100%;
    height: 100%;
    padding: 5px;
    background-color: white;
}

.up{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    float: right;
    width: 1850px ;
    height: 800px;
    padding: 5px;
    background-color: white;
}

.story-card{
    margin-left: 10px;
    display:    flex;
    justify-content: center;

    width: 600px;
    height: 700px;
    border: 1px solid #D7D8D6;

    background-color: white;
}
.line-block-contenedor{
    display: inline-block;
    width:100% ;
    height: 100%;
}
.img{
    
    display: flex;

    width: 100%;
    height: 350px;
}
.img img{

    
    width: 100%;
    height: 100%;
}

.data{

}

.link{
    width: 90%;
   
     margin-top: 1.2rem;
    
     
     
    
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";

}
.link a{
    overflow: hidden;
   text-overflow: ellipsis;
   display: -webkit-box;
   -webkit-line-clamp: 2; /* number of lines to show */
           line-clamp: 2;
   -webkit-box-orient: vertical;
    max-width: 100%;
    max-height: 100%;
    font-size: 2vw;
    margin-left: 2rem;
    text-decoration: none;
    color: #333333;
}
.link a:hover{
   text-decoration:underline;
   text-decoration-thickness: 3 px;
   
}

.info{
    margin-left: 2rem;
    max-width: 90%;
    margin-top: 9rem;
    
    font-size: 1.3vw;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif"
}


.down{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    float: right;
    width: 1850px ;
    height: 800px;
    padding: 5px;
    background-color: white;


}
.story-card2{
    margin-left: 10px;
    display:    flex;
    justify-content: center;

    width: 400px;
    height: 600px;
    border: 1px solid #D7D8D6;

    background-color: white;

}

.link2{
    width: 90%;
   display: block;
    
    margin-top: 1.2rem;
   
    
    
   
   font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";

}


.link2 a{
    overflow: hidden;
   text-overflow: ellipsis;
   display: -webkit-box;
   -webkit-line-clamp: 3; /* number of lines to show */
           line-clamp: 3;
   -webkit-box-orient: vertical;
    max-width: 100%;
    max-height: 100%;
    font-size: 2vw;
    margin-left: 2rem;
    text-decoration: none;
    color: #333333;
}

.link2 a:hover{
   text-decoration:underline;
   text-decoration-thickness: 3px;
   
}

.info2{
    margin-left: 2rem;
    max-width: 90%;
    text-overflow: ellipsis;
    display: -webkit-box;
    margin-top: 7rem;
    -webkit-line-clamp: 4; /* number of lines to show */
           line-clamp: 4;
   -webkit-box-orient: vertical;
    
    font-size: 1.2vw;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif"

}


.img2{
    
    display: flex;

    width: 100%;
    height: 250px;
}
.img2 img{

    
    width: 100%;
    height: 100%;
}


/*Tarea 10*/
.chat-container {
    width: 300px;
    height: 550px;
    background-color: white;
    border-radius: 8px 8px 0 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: none; 
    flex-direction: column;
    overflow: hidden;
    position: fixed;
    bottom: 90px; 
    right: 24px;
    z-index: 1000;
}
.chat-container.active {
    display: flex;
}
.chat-body {
    overflow-y: auto;
    padding: 10px;
    flex-grow: 1;
}
.message {
    margin: 5px;
    padding: 10px;
    border-radius: 16px;
    max-width: 80%;
}
.received {
    background-color: #f0f0f0;
    align-self: flex-start;
}
.sent {
    background-color: #ffffff;
    align-self: flex-end;
}
.chat-footer {
    padding: 10px;
    background-color: #f0f0f0;
    display: flex;
    align-items: center;
}
.chat-input {
    flex-grow: 1;
    border: none;
    padding: 10px;
    margin-right: 10px;
    border-radius: 20px;
    background-color: #ffffff;
}
.send-button {
    background-color: #ff0000;
    border: none;
    padding: 10px;
    color: white;
    border-radius: 50%;
    font-size: 24px;
}
.chat-bubble {
    background-color: #ff0000;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 24px;
    position: fixed;
    bottom: 24px;
    right: 24px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1010; 
}

/*Tarea 6*/
/*Tarea 6*/
/*Tarea 6*/
